Skip to navigation

Returns document field information for a country mandate, a selected document type, and its version

View as Markdown

Access control: this endpoint is available to users with the everyone role.

This endpoint provides document field details and the optionality of fields (required, conditional, optional) of different documents supported by the country mandate. Use the GET /mandates endpoint to retrieve all available country mandates, their supported document types and supported versions. You can use the documentType and documentVersion query parameters to retrieve the input fields for a particular document type and document version.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

mandateIdstringRequiredformat: "string"

Unique identifier of the mandate returned by the GET /mandates endpoint.

Headers

avalara-versionstringRequiredformat: "string"

Header that specifies the API version to use (for example “1.6”).

X-Avalara-ClientstringOptionalformat: "string"

Optional header for a client identifier string used for diagnostics (for example “Fingerprint”).

Query parameters

documentTypestringRequiredformat: "string"

Select the documentType for which you wish to view the data-input-fields (You may obtain the supported documentTypes from the GET /mandates endpoint)

documentVersionstringRequiredformat: "string"

Select the document version of the documentType (You may obtain the supported documentVersion from the GET /mandates endpoint)

Response

Returns a MandateDataInputFieldsResponse object containing the input fields and their optionality for the specified mandate, document type, and document version.
fieldIdstringOptional
Field ID
documentTypestringOptional
The document type
documentVersionstringOptional
The document version
pathstringOptional
Path to this field
pathTypestringOptional
The type of path
fieldNamestringOptional
Field name
namespaceobjectOptional
The namespace of the UBL element
exampleOrFixedValuestringOptional
An example of the content for this field
acceptedValueslist of stringsOptional
An Array representing the acceptable values for this field
dataTypestringOptional
The data type of this field.
descriptionstringOptional
A description of this field
optionalitystringOptional

Determines if the field if Required/Conditional/Optional or not required.

cardinalitystringOptional
Represents the number of times an element can appear within the document

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error